#!/bin/sh
### Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
# vim:syntax=sh

# Note that this code is specific only for CloudLinux5

[ -z "$PLESK_INSTALLER_DEBUG" ] || set -x
[ -z "$PLESK_INSTALLER_STRICT_MODE" ] || set -e

[ -f /etc/issue ] && egrep -q "^CloudLinux.*5?$" /etc/issue || exit 1


echo "Tune mod_fcgid config for CloudLinux5"

fcgid_config=/etc/httpd/conf.d/mod_fcgid.conf
if [ ! -f "${fcgid_config}" ]; then
	exit 1
fi

if grep -qv LoadModule "${fcgid_config}"; then
	echo "... skip, seems like already tuned"
	exit 1
fi

ipc_dir="/var/run/fcgid"
mkdir -p "${ipc_dir}"
mkdir "${ipc_dir}"/fcgidsock

chown -R apache:root "${ipc_dir}"
chmod 750 "${ipc_dir}"
chmod 750 "${ipc_dir}"/fcgidsock

cat >> "${fcgid_config}" << EOF
<IfModule mod_fcgid.c>
	FcgidIPCDir ${ipc_dir}/fcgidsock
	FcgidProcessTableFile ${ipc_dir}/fcgid_shm
</IfModule>
EOF

echo "... done"
